Skip to main content
GET
/
2025-10
/
marketing-solutions
/
product-sets
/
dataset
/
{dataset-id}
/2025-10/marketing-solutions/product-sets/dataset/{dataset-id}
curl --request GET \
  --url https://api.criteo.com/2025-10/marketing-solutions/product-sets/dataset/{dataset-id} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "creationDate": "<string>",
        "datasetId": "<string>",
        "keepVariantProducts": true,
        "minimumNumberOfProducts": 123,
        "name": "<string>",
        "numberOfProducts": 123,
        "rules": [
          {
            "values": [
              "<string>"
            ]
          }
        ],
        "id": "<string>",
        "isFallbackAllowed": true
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

dataset-id
string
required

The ID of the dataset that should be used for product set retrieval

Response

200 - application/json

Products sets fetched successfully

A class implementing the response of the Criteo API as described in API Guild Guidelines with collection of entities as body

data
(object | null)[] | null

A class that represents an entity in a guild compliant way

errors
object[] | null
read-only
warnings
object[] | null
read-only